package com.bzd.system.service.mdyy;

import com.bzd.common.config.dao.DaoBase;
import com.bzd.common.config.dao.DaoSupport;
import com.bzd.common.config.dao.PageData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;


/**
*
* 首主销售计划表 service
* @author LiXiangFei
* @since 2024-10-15
*/

@Service
public class SMdyyglMdysjqChiefmainsalesplanService {

    @Autowired
    private DaoBase dao;

    @Resource(name = "daoSupport")
    private DaoSupport daoSupport;

    public Integer addSMdyyglMdysjqChiefmainsalesplan(PageData pd)throws Exception {
        return daoSupport.update("SMdyyglMdysjqChiefmainsalesplanMapper.addSMdyyglMdysjqChiefmainsalesplan", pd);
    }

    public List<PageData> findSMdyyglMdysjqChiefmainsalesplanList(PageData pd) throws Exception{
        return (List<PageData>) daoSupport.findForList("SMdyyglMdysjqChiefmainsalesplanMapper.selectSMdyyglMdysjqChiefmainsalesplanList", pd);
    }

    public Integer SMdyyglMdysjqChiefmainsalesplanRemove(PageData pd)throws Exception {
        return daoSupport.delete("SMdyyglMdysjqChiefmainsalesplanMapper.SMdyyglMdysjqChiefmainsalesplanRemove", pd);
    }


    public Integer updateSMdyyglMdysjqChiefmainsalesplan(PageData pd)throws Exception {
        return daoSupport.update("SMdyyglMdysjqChiefmainsalesplanMapper.updateSMdyyglMdysjqChiefmainsalesplan", pd);
    }

}
